<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">


    <ui:composition template="/template_1.xhtml">
        <ui:define name="title">
        </ui:define>
        <ui:define name="bodys">
            <h:form id="formUsuarios">
                <h:panelGroup rendered="#{usuariosController.items.rowCount > 0}">
                    <p:dataTable id="tablaUsuarios" sortMode="multiple" paginatorPosition="bottom" value="#{usuariosController.items}" var="item" 
                                 widgetVar="tablaUsuarios" emptyMessage="No hay Usuarios disponibles" paginator="true" rows="10"
                                 rowKey="#{item.usrId}" >

                        <p:column style="width:5%" >
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListUsuariosTitle_usrTipoDoc}"/>
                            </f:facet>
                            <h:outputText value="#{item.usrTipoDoc}"/>
                        </p:column>
                        <p:column style="width:10%" >
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListUsuariosTitle_usrNumDoc}"/>
                            </f:facet>
                            <h:outputText value="#{item.usrNumDoc}"/>
                        </p:column>
                        <p:column  style="width:10%"  filterValue="#{item.usrNombre}"
                                   filterMatchMode="contains" sortBy="#{item.usrNombre}" filterBy="#{item.usrNombre}" >
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListUsuariosTitle_usrNombre}"/>
                            </f:facet>
                            <h:outputText value="#{item.usrNombre}"/>
                        </p:column>
                        <p:column  style="width:10%" filterBy="#{item.usrApellido}"   
                                   headerText="Apellidos"   filterMatchMode="contains" sortBy="#{item.usrApellido}" >
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListUsuariosTitle_usrApellido}"/>
                            </f:facet>
                            <h:outputText value="#{item.usrApellido}"/>
                        </p:column>
                        <p:column style="width:15%" filterBy="#{item.usrEmail}"   
                                  headerText="E-Mail"   filterMatchMode="contains" sortBy="#{item.usrEmail}"> 
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListUsuariosTitle_usrEmail}"/>
                            </f:facet>
                            <h:outputText value="#{item.usrEmail}"/>
                        </p:column>
                        <p:column style="width:10%">
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListUsuariosTitle_usrFoto}"/>
                            </f:facet>
                            <p:graphicImage rendered="#{photoCamBean.tieneFoto}" value="/Recursos/Imagenes/perfil/#{item.usrFoto}" height="100"/>  
                            <p:graphicImage rendered="#{!photoCamBean.tieneFoto}" value="/Recursos/Imagenes/perfil/dafault.png"  height="100"/>  
                        </p:column>
                        <p:column style="width:10%">
                            <f:facet name="header">
                                <h:outputText value="&nbsp;"/>
                            </f:facet>

                            <p:commandButton action="#{usuariosController.prepareEdit}" value="#{bundle.ListUsuariosEditLink}"
                                             oncomplete="PF('dlgUsuario').show();"  process="@this" update=":tabViewAdmin:dialogUsuario"/>
                            <h:outputText value=" "/>
                            <br/>
                            <br/>
                            <p:commandButton action="#{usuariosController.destroy}" value="#{bundle.ListUsuariosDestroyLink}"
                                             process="@this" 
                                             update=":tabViewAdmin"
                                             >
                                <p:confirm header="Confirmacion" message="Esta seguro de eliminar?" icon="ui-icon ui-icon-comment" />
                            </p:commandButton>
                            <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                                <p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon ui-icon-check" />
                                <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon ui-icon-close" />
                            </p:confirmDialog> 
                        </p:column>
                    </p:dataTable>
                </h:panelGroup>
            </h:form>
            <p:dialog id="dialogUsuario" position="center" header="Usuario #{usuariosController.selected.usrNombre} #{usuariosController.selected.usrApellido}" modal="true"
                      widgetVar="dlgUsuario"   appendTo="@(body)" closable="true"  >
                <p:outputPanel  style="text-align:center;">
                    <ui:include src="/web/usuarios/Edit.xhtml" rendered="#{!sessionBean.activa}" />

                </p:outputPanel>
            </p:dialog>
        </ui:define>
    </ui:composition>

</html>
